Skip to main content
`Ctrl`+`K`

# PetscLogHandlerCreateTrace

Create a logger that traces events and stages to a given file descriptor

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerCreateTrace(MPI_Comm comm, FILE *file, PetscLogHandler *handler)

Collective, No Fortran Support

## Input Parameters

- comm - an MPI communicator

- file - a file descriptor

## Output Parameters

- handler - a `PetscLogHandler of type` PETSCLOGHANDLERTRACE`

## Notes

Most users can just use `PetscLogTraceBegin()` to create and immediately start (`PetscLogHandlerStart()`) a tracing log handler

## See Also

Profiling, `PetscLogHandler`, `PetscLogHandlerTraceBegin()`

## Level

developer

## Location

src/sys/logging/handler/impls/trace/logtrace.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages